CREATE TABLE IF NOT EXISTS guilds_by_owner (
    owner_id TEXT,
    name TEXT,
    guild_id TEXT,
    created_at TIMESTAMP,
    PRIMARY KEY (owner_id, name)
);

CREATE TABLE IF NOT EXISTS guilds_by_owner_chronological (
    owner_id TEXT,
    created_at TIMESTAMP,
    guild_id TEXT,
    name TEXT,
    PRIMARY KEY (owner_id, created_at, guild_id)
) WITH CLUSTERING ORDER BY (created_at DESC);
