interface GuildResponse {
	id: string;
	name: string;
	description: string | null;
	iconUrl: string | null;
	bannerUrl: string | null;
	splashUrl: string | null;
	ownerId: string;
	verificationLevel: number;
	defaultMessageNotifications: number;
	systemChannelId: string | null;
	rulesChannelId: string | null;
	publicUpdatesChannelId: string | null;
	features: string[];
	preferredLocale: string;
	createdAt: string;
	updatedAt: string;
}

interface GuildRow {
	id: string;
	name: string;
	description: string | null;
	icon_url: string | null;
	banner_url: string | null;
	splash_url: string | null;
	owner_id: string;
	verification_level: number;
	default_message_notifications: number;
	system_channel_id: string | null;
	rules_channel_id: string | null;
	public_updates_channel_id: string | null;
	features: Set<string>;
	preferred_locale: string;
	created_at: Date;
	updated_at: Date;
}

export type { GuildResponse, GuildRow };
