import type { BaseResponse } from "../base";
import type { GuildResponse } from "./base";

interface CreateGuildRequest {
	name: string;
	description?: string;
	icon_url?: string;
	banner_url?: string;
}

interface CreateGuildResponse extends BaseResponse {
	guild?: GuildResponse;
}

export type { CreateGuildRequest, CreateGuildResponse };
